Most of my .CUE cuesheets not works on Audacious 3.9 ubuntu 17.10

Added by mantas S 20 days ago

Hi, just installed this nice player ,audio output through alsa works very well ,while other players have playback quality problems ,while CPU is heavy loaded and music playing in background.
Most of my music is in folders with cuesheets .CUE and corresponding big FLAC and APE files .Previously used foobar2000 through wine and cue sheets works there.
Have found a bug in Audacious ,as for now only few folders can be player through File - Open File ,then browse to folder with cue and selecting it opens a tracks.
Cuesheets for other folders don't opens in Audacious ,there are no error message or warning, simply clicking "Add " does nothing,playlist remains empty. Also there was error window when tried to add some of "non-working" cue to existing playlist ,error window popped ,saying unable to open a file,and there in file path spaces was replaced by %20 .Cleared playlist and tried to open the same "non-working" file again - no more error window ,but cue don't opens again .Please fix cue support.
All my cue files are fixed ,a correct file name and format specified inside ,example "Performer-Album.flac" FLAC ",foobar2000 was unable to play ,if cuesheets had bug with wav file specified in cue ,but flac file presented on disk.
If needed ,i can provide working and non working cuesheets examples .


Replies (14)

RE: Most of my .CUE cuesheets not works on Audacious 3.9 ubuntu 17.10 - Added by John Lindgren 19 days ago

Please provide the examples you mentioned, as well as the exact text of the error message. Also, which version of libcue do you have?

RE: Most of my .CUE cuesheets not works on Audacious 3.9 ubuntu 17.10 - Added by mantas S 19 days ago

Hi ,some examples of cuesheets.
Please tell me how to determine libcue version ? In player itself its not mentioned in about ,or in settings.In plugins - playlist its mentioned Cue sheet plugin ,but about and settings options are grayed out .It should be latest ,i have installed Audaciuos yesterday for the first time .

works1.cue (3.1 kB)

works2.cue (1.7 kB)

notworks1.cue (2.4 kB)

notworks2.cue (1.7 kB)

notworks3.cue (1.7 kB)

notworks4.cue (1.3 kB)

notworks5.cue (2 kB)

RE: Most of my .CUE cuesheets not works on Audacious 3.9 ubuntu 17.10 - Added by John Lindgren 19 days ago

It looks like libcue added support for the "FLAC" tag in version 2.1.0:
https://github.com/lipnitsk/libcue/commit/f57bea62aa79dd70e190c8af514619555cd98a6f

Unfortunately, Ubuntu 17.10 only provides libcue 1.4.0:
https://packages.ubuntu.com/artful/libcue1

Your options are:
1. Change all your .cue files back to say "WAVE" and not "FLAC"
2. Get in touch with Ubuntu and ask them to package libcue 2.1.0
3. Install libcue yourself from source
4. Switch to a more cutting-edge Linux distribution (for example, Fedora has libcue 2.1.0 since Fedora 25)

RE: Most of my .CUE cuesheets not works on Audacious 3.9 ubuntu 17.10 - Added by mantas S 19 days ago

Thanks for answer.Had no knowledge about libcue being part of ubuntu ,not part of Audacious.Looks like i need to find a newer version of this libcue library and try to upgrade.

RE: Most of my .CUE cuesheets not works on Audacious 3.9 ubuntu 17.10 - Added by mantas S 19 days ago

Downloaded that zip file from git,somehow get managed it and compiled ,last command was "sudo make install". Also copied libcue.so.2 libcue.so libcue.so.2.0.1 to /usr/lib .Now i have different scenario ,on previously "nonworking" cuesheets i get error i mentioned with spaces replaces to %20. Even tried to rename cuesheet to name without spaces ,but no luck.Have not managed yet ,how to upgrade local libcue from local source ,compiled file .

RE: Most of my .CUE cuesheets not works on Audacious 3.9 ubuntu 17.10 - Added by Jim Turner 16 days ago

Did you remember to do a "sudo ldconfig" afterwards?

RE: Most of my .CUE cuesheets not works on Audacious 3.9 ubuntu 17.10 - Added by mantas S 14 days ago

Thanks ,tutorial about compiling didn't mentioned this command ,but i executed it just now in terminal .Got this : /sbin/ldconfig.real: /usr/lib/libcue.so.2 is not a symbolic link .What does it mean ?
Maybe i've copied not all needed from folder with compiled sources. It's a bit complicated for newbies .
Maybe there is a possibility to merge this library sources with Audacious ,to use local library ,not old one from system .

RE: Most of my .CUE cuesheets not works on Audacious 3.9 ubuntu 17.10 - Added by Jim Turner 13 days ago

What does ls -l /usr/lib/libcue* show?

Should include something like:

/usr/lib/libcue.so.2.#.#
/usr/lib/libcue.so.2 -> libcue.so.2.#.#
/usr/lib/libcue.so -> libcue.so.2.#.#

and possibly some libcue.so.1* files/links.

In other words, you need to have your compiled library successfully stored here as libcue.so.2.#.# - where "#" represents whatever version you built. Then, you may have to manually create the symlinks (sudo ln -s filename linkname) for libcue.so.2. If there's already one for /usr/lib/libcue.so -> libcue.so.1.#.#, you'll have to delete it and replace it with /usr/lib/libcue.so -> libcue.so.2.#.# Then, rerun sudo ldconfig!

Regards,

Jim

RE: Most of my .CUE cuesheets not works on Audacious 3.9 ubuntu 17.10 - Added by John Lindgren 13 days ago

mantas S wrote:

Also copied libcue.so.2 libcue.so libcue.so.2.0.1 to /usr/lib .

Don't do that. Let make install do the installation for you.

Now i have different scenario ,on previously "nonworking" cuesheets i get error i mentioned with spaces replaces to %20.

Did you remember to rebuild audacious-plugins with the new libcue?

What is the output of:

ldd /usr/lib/audacious/Container/cue.so

RE: Most of my .CUE cuesheets not works on Audacious 3.9 ubuntu 17.10 - Added by mantas S 13 days ago

Thanks,i had libcue.so.2 as regular file 60kb in size,not as symlink ,and also 1.0.4 symbolic link . Deleted the libcue.so.2 file and also symlink from 1.0.4 .Symlink to 2.0.1 somehow appears automatically. Current output in terminal :

useris@useris-System-Product-Name:~$ ls l /usr/lib/libcue*
-rw-r--r-
1 root root 4546 Lap 1 20:55 /usr/lib/libcue.h
rw-r--r- 1 root root 204 Lap 1 20:55 /usr/lib/libcue.pc
rw-r--r- 1 root root 236 Lap 1 20:55 /usr/lib/libcue.pc.in
-rwxr-xr-x 1 root root 60144 Lap 1 20:55 /usr/lib/libcue.so
lrwxrwxrwx 1 root root 15 Lap 7 19:56 /usr/lib/libcue.so.2 -> libcue.so.2.0.1
-rwxr-xr-x 1 root root 60144 Lap 1 20:55 /usr/lib/libcue.so.2.0.1
useris@useris-System-Product-Name:~$

Now situation is more interesting : when i move mouse to track title in playlist ,i get the same error window about not being able to open cue file ,as in posted screenshots earlier. Btw , previously not-working cue files still didn't add in playlist .
All libcue files showing root permissions - thats correct ? Have no clue what to do next ...

RE: Most of my .CUE cuesheets not works on Audacious 3.9 ubuntu 17.10 - Added by mantas S 13 days ago

Output of command "ldd /usr/lib/audacious/Container/cue.so " in terminal says no such file or directory .Looks like i lost this file somehow. How can i rebuild plugins ? I tried to update only libcue in system ,not to recompile Audacious.As next i would try to simply reinstall player ,maybe missing files will be recreated .

RE: Most of my .CUE cuesheets not works on Audacious 3.9 ubuntu 17.10 - Added by mantas S 12 days ago

Hi ,i tried to uninstall player (with ubuntu software) and install again.And all was in place ,nothing changed,playlists and output selection .
I don't have folder named audacious in /usr/lib folder .How i can rebuild plugins or recreate that missing cue.so file ? Currently i can't add any new cue file to playlist ,but previously added tracks from cue files does play.

RE: Most of my .CUE cuesheets not works on Audacious 3.9 ubuntu 17.10 - Added by mantas S 12 days ago

Found that cue.so in different path ,maybe because of 64-bit ubuntu. Output of terminal says about missing old version cue library .
useris@useris-System-Product-Name:~$ ldd /usr/lib/x86_64-linux-gnu/audacious/Container/cue.so
linux-vdso.so.1 => (0x00007ffda87f5000)
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f2488eb2000)
libaudcore.so.5 => /usr/lib/x86_64-linux-gnu/libaudcore.so.5 (0x00007f2488c62000)
libcue.so.1 => not found
libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f24888dc000)
libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f24886c5000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f24882e5000)
/lib64/ld-linux-x86-64.so.2 (0x00007f24892d5000)
libglib-2.0.so.0 => /lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007f2487fd1000)
libgmodule-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgmodule-2.0.so.0 (0x00007f2487dcd000)
libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f2487a77000)
libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007f2487805000)
libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f2487601000)
useris@useris-System-Product-Name:~$
It looks like i fixed that mess by creating hardlink : sudo ln -s /usr/lib/libcue.so /usr/lib/libcue.so.1 .Now ALL cue fileswith FLAC pattern properly add to playlist ,and error with %20 is gone .
Thanks all for ideas and help !

RE: Most of my .CUE cuesheets not works on Audacious 3.9 ubuntu 17.10 - Added by John Lindgren 12 days ago

libcue.so.1 => not found
It looks like i fixed that mess by creating hardlink

That's not a good idea, libcue.so.1 and libcue.so.2 are different major versions and aren't intended to be drop-in compatible. You might get lucky this time, but the correct approach is first to install libcue 2.x and then rebuild Audacious (or at least the cue plugin) from source so that it knows it's using libcue 2.x and not 1.x.

(1-14/14)